- Products
- Create product
Products
Create product
Create product
POST
/products
curl --request POST \
--url https://api.treeunfe.com.br/api/v1/products \
--header 'x-api-key: <api-key>' \
--header 'x-api-key: <x_api_key>' \
--header 'Content-Type: application/json' \
--data '{
"cProd": "<string>",
"xProd": "<string>",
"NCM": "<string>",
"cEAN": "<string>",
"uCom": "<string>",
"orig": 123,
"vUnCom": 123.45
}'
curl --request POST \
--url https://api.treeunfe.com.br/api/v1/products \
--header 'x-api-key: <api-key>' \
--header 'x-api-key: <x_api_key>' \
--header 'Content-Type: application/json' \
--data '{
"cProd": "<string>",
"xProd": "<string>",
"NCM": "<string>",
"cEAN": "<string>",
"uCom": "<string>",
"orig": 123,
"vUnCom": 123.45
}'Authentication
x-api-key
required
string
The organization’s API Key (rawKey).
Body
application/json
cProd
required
string
The product’s internal code.
xProd
required
string
Description.
NCM
required
string
NCM code (8 digits).
cEAN
string
GTIN
uCom
required
string
Commercial unit.
orig
required
integer
Origin of the goods (NF-e table).
vUnCom
number
Default unit price.
Responses
| Status | Description |
|---|---|
201 | Product created. |
400 | Invalid body (missing required field, wrong format, or field not allowed). |
401 | Credential missing, invalid, or expired. |
curl -X POST "https://api.treeunfe.com.br/api/v1/products" \
-H "x-api-key: ORGANIZATION_RAW_KEY" \
-H "Content-Type: application/json" \
-d '{
"cProd": "6654",
"xProd": "PLACA DE IDENTIFICACAO",
"NCM": "83100000",
"cEAN": "SEM GTIN",
"uCom": "UN",
"orig": 0,
"vUnCom": 0
}'
curl -X POST "https://api.treeunfe.com.br/api/v1/products" \
-H "x-api-key: ORGANIZATION_RAW_KEY" \
-H "Content-Type: application/json" \
-d '{
"cProd": "6654",
"xProd": "PLACA DE IDENTIFICACAO",
"NCM": "83100000",
"cEAN": "SEM GTIN",
"uCom": "UN",
"orig": 0,
"vUnCom": 0
}'
curl --request POST \
--url https://api.treeunfe.com.br/api/v1/products \
--header 'x-api-key: <api-key>' \
--header 'x-api-key: <x_api_key>' \
--header 'Content-Type: application/json' \
--data '{
"cProd": "<string>",
"xProd": "<string>",
"NCM": "<string>",
"cEAN": "<string>",
"uCom": "<string>",
"orig": 123,
"vUnCom": 123.45
}'
curl --request POST \
--url https://api.treeunfe.com.br/api/v1/products \
--header 'x-api-key: <api-key>' \
--header 'x-api-key: <x_api_key>' \
--header 'Content-Type: application/json' \
--data '{
"cProd": "<string>",
"xProd": "<string>",
"NCM": "<string>",
"cEAN": "<string>",
"uCom": "<string>",
"orig": 123,
"vUnCom": 123.45
}'